<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.taketest.retrycapturedialog.RetryCaptureDialogViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/parentContainer"
        android:background="@drawable/primary_background">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.XL"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/spacing_2xl"
            android:layout_marginTop="@dimen/spacing_2xl"
            android:layout_marginEnd="@dimen/spacing_2xl"
            android:text="@string/lets_try_that_one_more_time"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/body"
            style="@style/Text.Small"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:layout_marginTop="@dimen/spacing_small"
            android:text="@string/try_one_more_time_body"
            android:textColor="@color/darkText"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/retryCaptureImage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:src="@drawable/hand_card"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/body" />

        <com.vessel.app.views.BlackAuthAppButtonViewGroup
            android:id="@+id/gotItButton"
            style="@style/FooterButton"
            android:onClick="@{() -> viewModel.onGotItClicked()}"
            app:layout_constraintBottom_toBottomOf="@id/retryCaptureImage"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/take_new_photo}"
            tools:background="@color/blackAlpha70" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
